SystemOrganization addCategory: #'MonticelloFileTree-FileSystem-Utilities'!

MCFileTreeFileUtils subclass: #MCFileTreeFileSystemUtils
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MonticelloFileTree-FileSystem-Utilities'!

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/8/2012 22:09'!
default
    ^ DiskStore activeClass createDefault defaultWorkingDirectory asFileReference! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/8/2012 22:12'!
deleteAll: aDirectory
    ^ aDirectory deleteAll! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/8/2012 21:48'!
directoryExists: aDirectory
    ^ aDirectory isDirectory! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 13:47'!
directoryFromEntry: directoryEntry
    ^ directoryEntry asFileReference! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 09:29'!
directoryFromPath: directoryPath
    ^ (AbsolutePath from: directoryPath delimiter: self pathNameDelimiter) asFileReference! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 05:14'!
directoryFromPath: directoryPath relativeTo: aDirectory
    ^ aDirectory resolveString: directoryPath! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 06:47'!
directoryName: aDirectory
    ^ aDirectory basename! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 07:50'!
directoryPathString: aDirectory
    ^ aDirectory pathString! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 05:22'!
ensureDirectoryExists: aDirectory
    aDirectory ensureDirectory! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 05:25'!
ensureFilePathExists: fileNameOrPath relativeTo: aDirectory
    (aDirectory resolveString: fileNameOrPath) parent ensureDirectory! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/9/2012 15:43'!
filePathExists: filePath relativeTo: aDirectory
    ^ (aDirectory resolveString: filePath) isFile! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'initialization' stamp: 'dkh 8/9/2012 08:29'!
initialize
    "self initialize"

    self install! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/9/2012 09:33'!
parentDirectoryOf: aDirectory
    ^ aDirectory parent! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/8/2012 19:19'!
pathNameDelimiter
    ^ DiskStore activeClass delimiter! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/10/2012 06:31'!
readStreamFor: filePath in: aDirectory do: aBlock
    "temporary hack for Pharo-1.4"

    ^ (aDirectory resolveString: filePath)
        readStreamDo: [ :fileStream | 
            | stream |
            stream := ReadStream on: fileStream contents asString.
            stream reset.
            aBlock value: stream ]! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/9/2012 15:38'!
resolvePath: path in: aDirectory
    ^ aDirectory resolveString: path! !

!MCFileTreeFileSystemUtils classSide methodsFor: 'utilities' stamp: 'dkh 8/9/2012 09:46'!
writeStreamFor: filePath in: aDirectory do: aBlock
    (aDirectory resolveString: filePath) writeStreamDo: aBlock! !

!FileSystemDirectoryEntry methodsFor: '*monticellofiletree-filesystem-utilities' stamp: 'dkh 8/10/2012 09:04'!
name
    ^ self basename! !

!FileSystemDirectoryEntry methodsFor: '*monticellofiletree-filesystem-utilities' stamp: 'dkh 8/10/2012 09:06'!
readStreamDo: aBlock
    ^ reference readStreamDo: aBlock! !

!FileReference methodsFor: '*monticellofiletree-filesystem-utilities' stamp: 'dkh 8/10/2012 10:27'!
fileTreeUtilityClass
    ^ MCFileTreeFileSystemUtils! !
MCFileTreeFileSystemUtils initialize!
